# Generated by Django 2.2.3 on 2019-11-05 12:22

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('usuario', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='juego',
            fields=[
                ('id_juego', models.IntegerField(primary_key=True, serialize=False)),
                ('puntuacion', models.IntegerField(max_length=8)),
                ('id_rango', models.IntegerField(max_length=8)),
                ('rut', models.CharField(max_length=10)),
                ('Fecha_juego', models.DateField(max_length=8)),
            ],
        ),
        migrations.CreateModel(
            name='medalla',
            fields=[
                ('id_medalla', models.IntegerField(primary_key=True, serialize=False)),
                ('imagen', models.ImageField(max_length=8, upload_to='')),
                ('puntaje', models.IntegerField(max_length=8)),
                ('titulo', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='rangos',
            fields=[
                ('id_rango', models.IntegerField(primary_key=True, serialize=False)),
                ('minimo', models.IntegerField(max_length=8)),
                ('maximo', models.IntegerField(max_length=8)),
                ('dificultad', models.CharField(max_length=8)),
            ],
        ),
        migrations.CreateModel(
            name='tipo_usuario',
            fields=[
                ('id_tipo', models.IntegerField(primary_key=True, serialize=False)),
                ('nombre_tipo', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='usuario',
            fields=[
                ('rut', models.CharField(max_length=12, primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=40)),
                ('apellido', models.CharField(max_length=40)),
                ('nickname', models.CharField(max_length=20)),
                ('contraseña', models.CharField(max_length=30)),
                ('email', models.EmailField(max_length=50)),
                ('fechaNac', models.DateField(max_length=8)),
            ],
        ),
        migrations.CreateModel(
            name='usuario_medalla',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('rut', models.CharField(max_length=12)),
                ('id_medalla', models.IntegerField(max_length=8)),
                ('fecha_obt', models.DateField(max_length=8)),
            ],
        ),
        migrations.DeleteModel(
            name='apoderado',
        ),
    ]
